Skip to main content
GET
/
management
/
clients
/
by-phone-whatsapp
curl -X GET "https://api.cryptomate.me/management/clients/by-phone-whatsapp?fullPhoneNumber=14155551234" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "code": "NOT_FOUND",
  "message": "Company client not found with phone number and WhatsApp enabled"
}
Retrieves a client by their phone number when WhatsApp is enabled for that client. Requires an API key with access level 1 or higher.

Query parameters

full_phone_number
string
required
Full phone number including country code.

Response

Returns the matching client. See Get client by ID for the full field list.
curl -X GET "https://api.cryptomate.me/management/clients/by-phone-whatsapp?fullPhoneNumber=14155551234" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "code": "NOT_FOUND",
  "message": "Company client not found with phone number and WhatsApp enabled"
}